.free-order {
    padding: rem(4);
    background: white;
    position: relative;
    border: 8px solid #F1F0ED;

    &__wrap {
        z-index: 10;
        padding: rem(20);
        position: relative;
        border: 1px solid #F1F0ED;
    }

    &__main {
        display: flex;
        flex-direction: column;
        row-gap: rem(30);
    }

    &__header {
        font-weight: 700;
        font-size: rem(20);
        line-height: 115%;
        text-align: center;
        margin-bottom: rem(20);
    }

    &__form {
        display: grid;
        grid-row-gap: rem(16);
        grid-column-gap: rem(16);
        grid-template-columns: 1fr;

        .btn {
            width: 100%;
        }
    }

    &__contacts {
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: rem(22);
    }

    &__phone {
        display: none;
    }

    &__media {
        display: none;
    }

    &__title {
        color: #1B1B20;
        font-weight: 700;
        font-size: rem(20);
        line-height: rem(24);
        margin-bottom: rem(20);
    }

    &__text {
        max-width: rem(700);
        color: #585757;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(22);
        margin-bottom: rem(20);
    }

    @include media-breakpoint-up(md) {
        padding: rem(8);
        border: 12px solid #F1F0ED;

        &__wrap {
            padding: rem(40) rem(60);
        }

        &__header {
            font-size: rem(32);
            line-height: 115%;
            text-align: left;
            margin-bottom: rem(20);
        }

        &__phone {
            display: block;
            color: $secondary;
            font-weight: 500;
            font-size: rem(18);
            white-space: nowrap;
            text-decoration: underline;

            &:hover {
                color: $secondary;
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__form {
            grid-template-columns: 1fr 1fr;
        }

        &__contacts {
            justify-content: flex-start;
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(36);
        }

        &__main {
            flex-direction: row;
            align-items: flex-end;
            justify-content: space-between;
        }

        &__form {
            width: rem(600);
            flex-shrink: 0;

            .btn {
                width: auto;
            }
        }

        &__media {
            z-index: 1;
            top: rem(8);
            right: rem(8);
            width: 471px;
            display: block;
            position: absolute;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__form {
            width: rem(802);
        }

        &__phone {
            font-size: rem(20);
            letter-spacing: 2px;
        }

        &__title {

        }
    }
}

.icon-contact {
    display: block;
    width: rem(66);
    height: rem(66);
    overflow: hidden;
    background: white;
    border-radius: 50%;
    border: 1px solid #F2F2F2;
    box-shadow: 0px 4px 55px 0px rgba(0, 0, 0, 0.10);
    transition: .25s;

    &--phone {
        fill: #900B7B;

        &:hover {
            fill: white;
            background: #900B7B;
            border-color: #900B7B;
            transition: .25s;
        }
    }

    &--whatsapp {
        fill: #1CB559;

        &:hover {
            fill: white;
            background: #1CB559;
            border-color: #1CB559;
            transition: .25s;
        }
    }

    &--telegram {
        fill: #2D96F6;

        &:hover {
            fill: white;
            background: #2D96F6;
            border-color: #2D96F6;
            transition: .25s;
        }
    }
}
